Wątek przeniesiony 2019-05-02 10:48 z przez Ktos.

Problem z instalacja XAAMP lub WAMP server - nie działa PHP

Odpowiedz Nowy wątek
2019-05-02 10:24
0

Znalazlem wiele podobnych rozwiazan i wszystkie opieraja sie na jednym prawie. Trzeba usunac i zainstalowac biblioteki :
https://www.microsoft.com/en-us/download/details.aspx?id=48145

Tyle ze u mnie nie da sie tego zainstalowac. Na koncu jest info ze instalacja nie powiodla sie. Ktos mial taki problem i go rozwiazal ??

To ma byc na laptopie Toshiba Sattelite c850 win 8.1. Wczoraj mialem win 7 i bylo to samo.

edytowany 1x, ostatnio: zdun, 2019-05-02 10:26

Pozostało 580 znaków

2019-05-02 10:32
0
  1. Jaki masz problem?
  2. Co to znaczy nie da się?

edytowany 2x, ostatnio: Patryk27, 2019-05-02 10:32

Pozostało 580 znaków

2019-05-02 10:39
0

Problem jest taki ze po odpaleniu Panelu Xaamp-a i próbie załączenia php mam takie info:
api-ms-win-crt-runtime-l1-1-0.dll is missing
Znalazlem na necie ze za to odpowiadaja te biblioteki C++ i trzeba najpierw je odinstalowac a potem zainstalowac. Wczesniej sprawdzic aktualizacje Windowsa i ew. wszyystkie pobrac i zainstalowac.
Przy probie instalacji tych bibliotek na koncu mam informacje ze "próba instalacji nie powiodła się"

Chciałem więc zainstalowac nowszy system bo byc moze nie bedzie problemu ale dalej jest.

edytowany 1x, ostatnio: zdun, 2019-05-02 10:40

Pozostało 580 znaków

2019-05-02 10:43
0

Zobacz na wymagania, prawie na pewno musisz zainstalować wszystkie Microsoft Visual C++ x64/x86 ;)


Pozostało 580 znaków

2019-05-02 10:46
0

Ale jak wszystkie. Tam widzialem tylko dwa pliki x86 i x68 2015.

Problem w tym ze ich wlasnie nie moge zainstalowac

edytowany 1x, ostatnio: zdun, 2019-05-02 10:47

Pozostało 580 znaków

2019-05-02 10:50

A masz zainstalowane KB2999226? Ten plik jest zawarty właśnie w niej.
https://support.microsoft.com[...]niversal-c-runtime-in-windows

Pozostało 580 znaków

2019-05-02 10:50
0

Którego xampa instalujesz

Pozostało 580 znaków

2019-05-02 11:19
0

Miałam podobny problem na swojej stareńkiej maszynie. Żaden gotowy, zintegrowany serwer nie chciał mi się instalować. Rozwiązałam go tak, że dobrałam sobie ręcznie takie wersje Apacha, PHP i MySQL, które były uprzejme działać na moim systemie i były uprzejme ze sobą współpracować, a później zmontowałam to w jeden kombajn uruchamiany za pomocą PStart / your portable start menu, uzyskując podobną funkcjonalność jak w WAMP-ie.
Ale na 7-ce raczej nie powinno być takich problemów :/ Może wypróbuj najpierw jakieś starsze wersje XAMP-ów WAMP-ów?


edytowany 1x, ostatnio: Freja Draco, 2019-05-02 11:23
Wlasnie chcialem miec z glowy kombinowanie z instalacja wszystkiego po kolei. Teraz mam win 8.1 i tez jest to samo. - zdun 2019-05-02 11:33

Pozostało 580 znaków

2019-05-02 11:26
0

Wersja xaamp-a to: xampp-windows-x64-7.3.4-0-VC15-installer

Sciagam wlasnie wersje 1.7.3 i zobacze co bedzie - zdun 2019-05-02 11:32

Pozostało 580 znaków

2019-05-02 11:54
0

Czemu nie zainstalujesz sobie sam PHP ? Instalacja to jest jeden exe i po kłopocie.
Mysql z boku to samo, jeden exe i po kłopocie.

A np developwanie appki PHP możesz robić na wbudowanym serwerku (DEV) https://www.php.net/manual/en[...]res.commandline.webserver.php I wszystkie problemy znikają.

Pozostało 580 znaków

2019-05-02 11:58
0

@szok jeden exe i po kłopocie o potem co zrobisz, gdy trzeba zmienić wersje php? Osobiście mam armie xampów z różnymi wersjami php. Tak jestem leniwy i wole xampa niż stawianie dockera :p

Ja to mówię, że wer. 5.6 już wychodzi z użycia i trzeba przerobić stronę na siódemkę :D - czysteskarpety 2019-05-02 12:05
@czysteskarpety: zgadza się, ale czasem te 5.x też musisz odpalić by wiedzieć co się dzieje przechodząc na 7.x, a czasem masz zrobić tylko drobnego fixa więc nikt ci nie zapłaci za przechodzenie na wyższego php. - mr_jaro 2019-05-02 12:07
więc nikt ci nie zapłaci - a to ja nie lubie takich zwrotów :/ - czysteskarpety 2019-05-02 12:08

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0